- libbson 1.13.1 »
- API Reference »
- bson_oid_t

# bson_oid_init_from_string()

## Synopsis

    void
    bson_oid_init_from_string (bson_oid_t *oid, const char *str);

## Parameters

- `oid`: A bson_oid_t.
- `str`: A string containing a hex encoded version of the oid.

## Description

Parses the string containing hex encoded oid and initialize the bytes in `oid`.

## Example

    bson_oid_init_from_string (&oid, "012345678901234567890123");

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.